Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 148528 - Add 2.6.18 kernel support to media-tv/ivtv-0.7.0 ?
Summary: Add 2.6.18 kernel support to media-tv/ivtv-0.7.0 ?
Status: VERIFIED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Doug Goldstein (RETIRED)
URL: http://svn.sabayonlinux.org/filedetai...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-21 08:55 UTC by Fabio Erculiani
Modified: 2006-09-25 07:29 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio Erculiani 2006-09-21 08:55:25 UTC
ivtv 0.7.0 compiles on 2.6.18 kernel, but I can't test that. Anyway, that's the ebuild:

http://snipurl.com/wrxs
Comment 1 Doug Goldstein (RETIRED) gentoo-dev 2006-09-22 05:51:57 UTC
No. Every kernel version requires a new ivtv version. This has been the case for nearly every single kernel. ivtv 0.8.0 will be for the 2.6.18 kernel.

http://www.ivtvdriver.org <- read it.
Comment 2 Fabio Erculiani 2006-09-22 06:06:36 UTC
Uhm, I don't see that 0.7.0 won't work on 2.6.18. I only read "ONLY for 2.6.17", yes, but that was written when 2.6.18 wasn't released yet. So, my question is if there's someone that could try that ebuild.
Comment 3 Doug Goldstein (RETIRED) gentoo-dev 2006-09-22 15:30:53 UTC
No. Every single ivtv to date is specialized per kernel. If you'd follow the link I sent you, you'd come to IVTV's website. Where if you looked at their development process you'd see that they're hammering out kinks with ivtv-0.8 for 2.6.18. Soon after that you will see a ivtv-0.9 branch for 2.6.19.
Comment 4 Doug Goldstein (RETIRED) gentoo-dev 2006-09-22 15:32:15 UTC
Closed.
Comment 5 Fabio Erculiani 2006-09-23 00:36:29 UTC
dude, open your mind ;)
http://ivtvdriver.org/svn/ivtv/trunk/ChangeLog
I don't see anything releated to your sentence and here, "modprobe ivtv" on 2.6.18 works perfectly.

I'd prefer to keep this open to who can test ivtv 0.7.0 on 2.6.18.
Comment 6 Doug Goldstein (RETIRED) gentoo-dev 2006-09-23 08:28:48 UTC
Yes. Read the change log. Notice how the 0.8 series has to make changes to support all of the V4L2 interfaces. The point since V4L1 support has started to be stripped out in 2.6.18, then support for all the features and hooks of ivtv won't be accessible unless you use ivtv-0.8.
Comment 7 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-09-23 08:31:47 UTC
(In reply to comment #5)
> dude, open your mind ;)
> http://ivtvdriver.org/svn/ivtv/trunk/ChangeLog
> I don't see anything releated to your sentence and here, "modprobe ivtv" on
> 2.6.18 works perfectly.
> 
> I'd prefer to keep this open to who can test ivtv 0.7.0 on 2.6.18.
> 

As Cardoe already noted; the 0.7.0 version is designed for 2.6.17 kernels.  Upstream says that 0.8.0 will work with 2.6.18 (just as they always release for new kernel versions).  Just because it may work on your machine (although you noted earlier "ivtv 0.7.0 compiles on 2.6.18 kernel, but I can't test that" so I wonder a bit) doesn't mean we will go against upstream's release policy.

Wait for the 0.8.0 version.
Comment 8 Doug Goldstein (RETIRED) gentoo-dev 2006-09-25 07:15:49 UTC
Fabio: Now there is a 0.8 version. It will be going into Portage shortly. 
Comment 9 Fabio Erculiani 2006-09-25 07:29:34 UTC
ok, great, sorry for all the buzz.